//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Main.h"
#include "About.h"
#include "dir.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------

__fastcall TMainForm::TMainForm(TComponent *Owner)
	: TForm(Owner)
{
DragAcceptFiles(Handle,true);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::CreateMDIChild(String Name,bool img)
{
	TMDIChild *Child;

	//--- create a new MDI child window ----
	Child = new TMDIChild(Application);
	Child->Caption = Name;
	if (FileExists (Name)) {
		if(img)
                   {
                   Child->Image1->Picture->LoadFromFile(Name);
                   Child->Image1->Visible=true;
                   Child->Memo1->Visible=false;
                   }
                else
                   {
                   Child->Memo1->Lines->LoadFromFile(Name);
                   Child->Memo1->Visible=true;
                   Child->Image1->Visible=false;
                   };
                               };
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FileNew1Execute(TObject *Sender)
{
	CreateMDIChild("NONAME" + IntToStr(MDIChildCount + 1),false);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FileOpen1Execute(TObject *Sender)
{
	if (OpenDialog->Execute())
        ReadFile(OpenDialog->FileName);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::HelpAbout1Execute(TObject *Sender)
{
	AboutBox->ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FileExit1Execute(TObject *Sender)
{
	Close();
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::WmDropFiles(TWMDropFiles& Message)
{
        HDROP drop_handle=(HDROP)Message.Drop;
        char fName[MAXPATH];
        int filenum=DragQueryFile(drop_handle,-1,NULL,NULL);
        for(int i=0;i<filenum;i++)
                {
                DragQueryFile(drop_handle,i,fName,MAXPATH);
                ReadFile(fName);
                };
        DragFinish(drop_handle);
};
void __fastcall TMainForm::ReadFile(AnsiString FileName)
{
        String str=ExtractFileExt(FileName);
        if((str==".avi")||(str==".wav")||(str==".mid")||(str==".mov"))
               {
                MediaPlayer1->FileName=FileName;
                MediaPlayer1->Open();
                MediaPlayer1->Play();
               }
        else
        if((str==".bmp")||(str==".ico")||(str==".wmf"))
               CreateMDIChild(FileName,true);
        else CreateMDIChild(FileName,false);
};

